apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pvc-demo
  name: pvc-demo
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pvc-demo
  template:
    metadata:
      labels:
        app: pvc-demo
    spec:
      containers:
        - name: main
          image:  k8s.gcr.io/busybox
          volumeMounts:
          - mountPath: "/cache/"
            name: pv-test-storage
          args:
            - /bin/sh
            - -c
            - ls /cache/; touch /cache/"$(date +%s)"_"$HOSTNAME";
      volumes:
      - name: pv-test-storage
        persistentVolumeClaim:
          claimName: pvc-test